Bug 26417 - find-lang and new gnome help files location
: find-lang and new gnome help files location
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm-build)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2011-10-05 17:55 by
Modified: 2011-12-01 06:36 (History)


Attachments
Патч для find-lang (1.13 KB, patch)
2011-10-05 17:55, Yuri N. Sedunov
no flags Details | Diff
proposed patch (1.98 KB, patch)
2011-10-06 03:24, Dmitry V. Levin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-10-05 17:55:29
Created an attachment (id=5146) [details]
Патч для find-lang

Справка гном постепенно переезжает в %_datadir/help/%lang/. Прошу оперативно
приложить прилагаемый патчик для find-lang.
------- Comment #1 From 2011-10-06 03:24:35 -------
Created an attachment (id=5147) [details]
proposed patch

Может быть, такое изменение будет лучше?
------- Comment #2 From 2011-10-06 04:02:17 -------
(In reply to comment #1)
> Created an attachment (id=5147) [details] [details]
> proposed patch
> 
> Может быть, такое изменение будет лучше?

Да-да, лучше, -- можно прикладывать.
------- Comment #3 From 2011-10-07 02:44:24 -------
rpm-4.0.4-alt100.38 -> sisyphus:

* Fri Oct 07 2011 Dmitry V. Levin <ldv@altlinux> 4.0.4-alt100.38
- find-lang: added support for new GNOME help files location (closes: #26417).
------- Comment #4 From 2011-10-11 00:48:50 -------
(In reply to comment #3)
> rpm-4.0.4-alt100.38 -> sisyphus:
> 
> * Fri Oct 07 2011 Dmitry V. Levin <ldv@altlinux> 4.0.4-alt100.38
> - find-lang: added support for new GNOME help files location (closes: #26417).

Пропускает каталоги ниже %_datadir/help/%lang/$NAME/
(%_datadir/help/%lang/%NAME/figures)
------- Comment #5 From 2011-10-11 01:03:45 -------
(In reply to comment #4)
> Пропускает каталоги ниже %_datadir/help/%lang/$NAME/
> (%_datadir/help/%lang/%NAME/figures)

-s:^\('"$RPM_DATADIR"'/help/\)\(C\|[a-z][^/_@]\+\)\(/'"$NAME"'\)$:%lang(\2)
%dir \1\2\3:
+s:^\('"$RPM_DATADIR"'/help/\)\(C\|[a-z][^/_@]\+\)\(/'"$NAME"'\(/.*\)\?\)$:%lang(\2)
%dir \1\2\3:

?
------- Comment #6 From 2011-10-11 01:39:32 -------
(In reply to comment #5)
> (In reply to comment #4)
> > Пропускает каталоги ниже %_datadir/help/%lang/$NAME/
> > (%_datadir/help/%lang/%NAME/figures)
> 
> -s:^\('"$RPM_DATADIR"'/help/\)\(C\|[a-z][^/_@]\+\)\(/'"$NAME"'\)$:%lang(\2)
> %dir \1\2\3:
> +s:^\('"$RPM_DATADIR"'/help/\)\(C\|[a-z][^/_@]\+\)\(/'"$NAME"'\(/.*\)\?\)$:%lang(\2)
> %dir \1\2\3:
> 
> ?

Гут.
------- Comment #7 From 2011-10-11 03:28:09 -------
rpm-4.0.4-alt100.39 -> sisyphus:

* Tue Oct 11 2011 Dmitry V. Levin <ldv@altlinux> 4.0.4-alt100.39
- Backported CVE-2011-3378 fixes from rpm.org.
- find-lang: handle /usr/share/help/%lang/rpm subdirs (closes: #26417).
------- Comment #8 From 2011-11-07 16:43:32 -------
Пропускает локали вида:
en_GB, sr@latin
------- Comment #9 From 2011-12-01 06:36:24 -------
rpm-4.0.4-alt100.41 -> sisyphus:

* Thu Dec 01 2011 Dmitry V. Levin <ldv@altlinux> 4.0.4-alt100.41
- Partially reverted the change to file permissions handling on package
  removal or upgrade that was introduced in 4.0.4-alt100.32.
  Permissions to access regular files are now erased only if
  these files are set[ug]id executables.
- find-lang: handle more exotic GNOME help locale directories (closes: #26417).